## ros-crystal-angles 1.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(angles)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}/
        FILES_MATCHING PATTERN "*.h")

include_directories(include)

ament_export_include_directories(include)

ament_package()

=== debian/changelog ===
ros-crystal-angles (1.12.1-1bionic) bionic; urgency=high

  * Adding export lines to CMakeLists.txt (#14 <https://github.com/ros/angles/issues/14>)
    * Adding export lines to CMakeLists.txt
    This is needed for dependent packages to pick up the include
    directory
  * Contributors: Carl Delsey

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-crystal-angles (1.12.0-1bionic) bionic; urgency=high

  * update for ament and ros2 (#12 <https://github.com/ros/angles/issues/12>)
  * Small documentation updates.
  * enable for win10 ros2
  * Contributors: Brian Fjeldstad, Jonathan Binney, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-crystal-angles (1.9.11-1bionic) bionic; urgency=high

  * Add a python implementation of angles
  * Do not use catkin_add_gtest if CATKIN_ENABLE_TESTING
  * Contributors: David V. Lu, David V. Lu!!, Ryohei Ueda

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Apr 2017 07:00:00 -0000

ros-crystal-angles (1.9.10-1bionic) bionic; urgency=high

  * Export architecture_independent flag in package.xml
  * Simply and improve performance of shortest_angular_distance(). adding two unit test cases
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Derek King, Lukas Bulwahn, Scott K Logan, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 29 Dec 2014 08:00:00 -0000

ros-crystal-angles (1.9.9-1bionic) bionic; urgency=high

  * catkin as a buildtool dependency
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 23 Mar 2013 07:00:00 -0000

ros-crystal-angles (1.9.8-1bionic) bionic; urgency=high

  * Removed 'copyright' tag from package.xml
  * Contributors: William Woodall

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Dec 2012 08:00:00 -0000

ros-crystal-angles (1.9.7-1bionic) bionic; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Oct 2012 04:23:00 -0000

ros-crystal-angles (1.9.6-1bionic) bionic; urgency=high

  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 22:39:00 -0000

ros-crystal-angles (1.9.5-1bionic) bionic; urgency=high

  * fixes to build
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 17 Sep 2012 01:11:00 -0000

ros-crystal-angles (1.9.4-1bionic) bionic; urgency=high

  * rename the include folder to angles as it should be
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 16 Sep 2012 08:24:00 -0000

ros-crystal-angles (1.9.3-1bionic) bionic; urgency=high

  * fix relative path
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 03 Sep 2012 07:55:00 -0000

ros-crystal-angles (1.9.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 03 Sep 2012 07:32:00 -0000

ros-crystal-angles (1.9.1-1bionic) bionic; urgency=high

  * add proper manifest
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jul 2012 07:00:00 -0000

ros-crystal-angles (1.9.0-1bionic) bionic; urgency=high

  * fix the test for the new headers
  * fix the guard
  * package builds with catkin
  * remove useless header
  * copying from geometry/
  * Contributors: Ioan Sucan, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jul 2012 07:00:00 -0000

=== debian/control ===
Source: ros-crystal-angles
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ros-workspace
Homepage: http://wiki.ros.org/angles
Standards-Version: 3.9.2

Package: ros-crystal-angles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ros-workspace
Description: This package provides a set of simple math utilities to work with angles.
 The utilities cover simple things like normalizing an angle and conversion between degrees and radians. But even if you're trying to calculate things like the shortest angular distance between two joint space positions of your robot, but the joint motion is constrained by joint limits, this package is what you need. The code in this package is stable and well tested. There are no plans for major changes in the near future.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-angles//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
